<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Список нарушений');

///Подключаем шапку
$title->GetHeader();

if ($b['level'] == 0) {
header('location:/');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Список нарушений </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/panel" rel="v:url" property="v:title">Дата-центр</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Список нарушений</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><a href="/panel"><i class="md-format-list-bulleted"></i> Админка</a> - Список нарушений</div>';
$look = DB::$dbs -> querySingle("SELECT COUNT(id) FROM nar");
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
if ($look==0) {
echo '<div class="error">Пусто...</div>';
} else {
$sql = DB::$dbs->query("SELECT * FROM nar ORDER BY time DESC LIMIT $start,$num");
while ($arr = $sql -> fetch()) {
$arrType = [1 => 'Предупреждение', 2 => 'Нарушение', 3 => 'Бан'];
echo '<div class="row text_box">'.Nick($arr['id_user']).' вписал нарушение '.Nick($arr['user_id']).' ('.vr($arr['time']).')<br/>';
if (!empty($arr['nar'])) {
echo 'Нарушаемые пункты: <b>'.($arr['nar'] == 0 ? 'На усмотрение администратора': $arr['nar']).'</b><br/>';
}
echo 'Комментарий: <b>'.text($arr['text']).'</b><br/>';
echo (!empty($arr['tema']) ? 'Ссылка на тему: <a href="'.$arr['tema'].'">'.$arr['tema'].'</a>':NULL);
echo '</div>';
}
}
if ($k_page>1) {
str('?', $k_page, $page);
}

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>